import { Kind } from "./Kind";

export default class Authorization {
    private _kind : Kind;
    private _key : string;

    constructor(kind : Kind, key : string) {
        if (kind === null && kind === undefined)  {
            throw new Error("cannot create Authorization with null or undefined kind");
        }
        this._kind = kind;

        if (key === null && key === undefined)  {
            throw new Error("cannot create Authorization with null or undefined key");
        }
        this._key = key;
        
    }

    get kind() : Kind {
        return this._kind;
    }

    get key() : string {
        return this._key;
    }

}